@tailwind base;
@tailwind components;
@tailwind utilities;
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;0,600;1,400;1,800&family=Nunito+Sans:wght@400;600&display=swap');
html, body {
	font-family: 'Montserrat', sans-serif;
	font-family: 'Nunito Sans', sans-serif;
}
/* Указываем box sizing */
*,
*::before,
*::after {
	box-sizing: border-box;
}

/* Убираем внутренние отступы */
ul[class],
ol[class] {
	padding: 0;
}

/* Убираем внешние отступы */
body,
h1,
h2,
h3,
h4,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
	margin: 0;
}

/* Выставляем основные настройки по-умолчанию для body */
body {
	min-height: 100vh;
	scroll-behavior: smooth;
	text-rendering: optimizeSpeed;
	line-height: 1.5;
}

/* Удаляем стандартную стилизацию для всех ul и il, у которых есть атрибут class*/
ul[class],
ol[class] {
	list-style: none;
}

/* Элементы a, у которых нет класса, сбрасываем до дефолтных стилей */
a:not([class]) {
	text-decoration-skip-ink: auto;
}

/* Упрощаем работу с изображениями */
img {
	max-width: 100%;
	display: block;
}

/* Указываем понятную периодичность в потоке данных у article*/
article > * + * {
	margin-top: 1em;
}

/* Наследуем шрифты для инпутов и кнопок */
input,
button,
textarea,
select {
	font: inherit;
}

/* Удаляем все анимации и переходы для людей, которые предпочитай их не использовать */
@media (prefers-reduced-motion: reduce) {
	* {
		animation-duration: 0.01ms !important;
		animation-iteration-count: 1 !important;
		transition-duration: 0.01ms !important;
		scroll-behavior: auto !important;
	}
}
*,
*::before,
*::after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}
* {
	scrollbar-width: thin;
	scrollbar-color: blue #5d5d5d;
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
	width: 8px;
	height: 8px;
}*::-webkit-scrollbar-corner {
	display: none;
}

*::-webkit-scrollbar-track {
	background: none;
}

*::-webkit-scrollbar-thumb {
	//background: linear-gradient(to top right, hsl(0, 0%, 12%), hsl(0, 0%, 16%));
	background: rgba(0,0,0,.5);
	border-radius: 20px;
	border: 0.2px rgba(0,0,0,.04) solid;
}

.link {
	border-bottom: 1px solid #5e5eff; color: #5e5eff
}
.text-header {
	font-size: 62px;
	text-transform: uppercase;
	letter-spacing: 5px;
	color: white;
	text-align: center;
	line-height: 70px;
	@media (max-width: 500px) {
		font-size: 37px;
		line-height: 57px;
	}
}
input::placeholder{
	color: #424242;
}
.wrap {
	max-height: calc(100vh - 105px);
	overflow-y: auto;
	padding: 40px;
	margin-top: 10px;
}
.expand {
	border: 1px solid gainsboro;
	cursor: pointer;
	padding-left: 15px;
	p {
		margin-bottom: 0;
	}
	&:hover {
		background-color: #eaeaea;
	}
}
.active {
	background-color: #eaeaea;
}
.expand-active {
	border: 1px solid gainsboro;
	cursor: pointer;
	padding-left: 15px;
	p {
		margin-bottom: 0;
	}
	&:hover {
		background-color: #eaeaea;
	}
}
.name_clr {
	max-width: 80%;
}
input:active,:focus {
	outline: 0;
	outline-offset: 0;
}
.truncate-text {
	overflow: hidden;
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	line-height: 1.3em;
	height: 3.9em;
}

.truncate {
	white-space: nowrap; /* Текст не переносится */
	overflow: hidden; /* Обрезаем всё за пределами блока */
	text-overflow: ellipsis; /* Добавляем многоточие */
}

// *************************************************************************** TABLE
.table {
	display: flex;
	justify-content: flex-start;
	flex-direction: column;
	font-size: 12px;
	width: 100%;
}
.table .table-wrap {
	display: flex;
	justify-content: flex-start;
	width: 100%;
	overflow-x: auto;
}
.table .table-wrap table {
	width: 100%;
	border-collapse: collapse;
	text-align: center;
}
.table .table-wrap table th, .table .table-wrap table td {
	padding: 20px 10px;
}
.table .table-wrap table th {
	position: relative;
}
.table .table-wrap table th .icon-wrap {
	display: inline-flex;
	flex-direction: column;
	position: absolute;
	transform: translate(8px, 2px);
}
.table .table-wrap table th .icon-wrap img:first-child {
	margin-bottom: 5px;
}
.table .table-wrap table th:last-child img {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	cursor: pointer;
}
.table .table-wrap table th:last-child img:last-child {
	top: 10px;
}
.table .table-wrap table th .input-container {
	position: relative;
	max-width: 100%;
	min-width: 120px;
	margin: 0 auto;
}
.table .table-wrap table th .input-container input {
	background: #FFFFFF;
	border: 1px solid #CCD4DD;
	box-sizing: border-box;
	border-radius: 4px;
	padding: 7px 0;
	padding-left: 10px;
	font-weight: initial;
	color: #848484;
	margin-top: 5px;
	width: 100%;
	max-width: 100%;
}
.table .table-wrap table th .input-container::before {
	content: "";
	position: absolute;
	width: 20px;
	height: 20px;
	//background: url("../assets/img/general/lupa.svg") center no-repeat;
	background-size: cover;
	z-index: 5;
	right: 15px;
	top: 12px;
}
.table .table-wrap table th .input-container.input-select {
	position: relative;
}
.table .table-wrap table th .input-container.input-select div {
	width: 100%;
	background: #FFFFFF;
	border: 1px solid #CCD4DD;
	box-sizing: border-box;
	border-radius: 4px;
	padding: 7px 0;
	padding-left: 10px;
	font-weight: initial;
	color: #848484;
	margin-top: 5px;
	min-width: 100%;
	height: 34px;
}
.table .table-wrap table th .input-container.input-select::before {
	content: "";
	position: absolute;
	width: 10px;
	height: 5px;
	//background: url("../assets/img/general/menu-select.svg") center no-repeat;
	background-size: cover;
	z-index: 5;
	right: 15px;
	top: 15px;
}
.table .table-wrap table tr {
	border-bottom: 1px solid #CCD4DD;
	position: relative;
}
.table .table-wrap table tr:hover {
	background: #ccd4dd4a;
}
.table .table-wrap table td {
	position: relative;
}
.table .table-wrap table td img {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	cursor: pointer;
}
.table .table-wrap table td img:hover {
	transform: translate(-50%, -50%) scale(1.2);
}
.table .table-wrap table td:last-child {
	//display: flex;
}
.table .table-wrap table td:last-child img {
	position: initial;
	height: 100%;
	transform: translate(0);
	margin: 0 10px;
	width: 24px;
	background-color: rgba(49, 131, 255, 0.12);
	padding: 5px;
	border-radius: 15px;
}
.table .table-wrap table td:last-child img:hover {
	transform: scale(1.2);
}
.table .table-wrap table th:first-child, .table .table-wrap table td:first-child {
	text-align: left;
}
.table .table-footer {
	margin: 20px 0;
}
@media (max-width: 420px) {
	.table .table-footer .table-footer-wrap {
		flex-wrap: wrap;
	}
	.table .table-footer .table-footer-wrap:nth-child(1) .col {
		min-width: 100px;
	}
	.table .table-footer .table-footer-wrap:nth-child(2) .col {
		float: right;
	}
}
.table .table-footer .table-footer-wrap .select-wrap {
	position: relative;
}
.table .table-footer .table-footer-wrap .select-wrap select {
	border: 1px solid #CCD4DD;
	box-sizing: border-box;
	border-radius: 4px;
	color: rgba(0, 0, 0, 0.3);
	margin: 0 10px;
	padding: 6px;
	padding-right: 30px;
}
.table .table-footer .table-footer-wrap .select-wrap:before {
	content: "";
	position: absolute;
	right: 20px;
	top: calc(50% - 4px);
	width: 13px;
	height: 7px;
	//background: url("../assets/img/general/menu-select.svg") center no-repeat;
	background-size: cover;
	z-index: 10;
}
.table .table-footer .table-footer-wrap .select-wrap._active:before {
	transform: rotate(180deg);
}
.table .table-footer .table-footer-wrap .text-center .pagination {
	display: flex;
}
.table .table-footer .table-footer-wrap .text-center .pagination ul {
	display: flex;
	justify-content: space-between;
}
.table .table-footer .table-footer-wrap .text-center .pagination ul li {
	display: flex;
	align-items: center;
	justify-content: center;
	background: linear-gradient(0deg, rgba(49, 131, 255, 0.12), rgba(49, 131, 255, 0.12)), #FFFFFF;
	border-radius: 100px;
	margin: 0 5px;
	width: 30px;
	height: 30px;
}
// TABLE ///
